<!DOCTYPE hibernate-configuration PUBLIC 
		"-/Hibernate/Hibernate Configuration DTD 3.0//EN"
		"http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd" >

<hibernate-configuration>
	<session-factory>
		<!-- Paramètres de connexion à la base de données -->
		<property name="hibernate.dialect">org.hibernate.dialect.MySQL5Dialect</property>
		<property name="hibernate.connection.driver_class">com.mysql.cj.jdbc.Driver</property>
		<property name="hibernate.connection.url">jdbc:mysql://localhost/food_truck_ws?createDatabaseIfNotExist=true&amp;serverTimezone=UTC</property>
		<property name="hibernate.connection.username">root</property>
		<property name="hibernate.connection.password">root</property>
		<property name="hibernate.c3p0.acquire_increment">1</property>
		<property name="hibernate.c3p0.idle_test_period">100</property>
		<property name="hibernate.c3p0.max_size">10</property>
		<property name="hibernate.c3p0.max_statements">10</property>
		<property name="hibernate.c3p0.min_size">10</property>
		<property name="hibernate.c3p0.timeout">100</property>

		<!-- Comportement pour la conservation des tables -->
		<property name="hbm2ddl.auto">create-drop</property>
	  	<property name="hibernate.hbm2ddl.import_files">foodtruck.sql</property>
	  	
		<!-- Affiche les logs -->
		<property name="show_sql">true</property>
		<property name="hibernate.format_sql">true</property>
		<property name="use_sql_comments">true</property>

		<!-- Fichiers à mapper -->
		<mapping
			class="com.ajc.training.entities.Societe" />
		<mapping
			class="com.ajc.training.entities.Utilisateur" />
		<mapping
			class="com.ajc.training.entities.Profil" />
		<mapping
			class="com.ajc.training.entities.Genre" />
		<mapping
			class="com.ajc.training.entities.Adresse_Livraison" />
		<mapping
			class="com.ajc.training.entities.Adresse_Facturation" />
		<mapping
			class="com.ajc.training.entities.Repas" />
		<mapping
			class="com.ajc.training.entities.Famille_Repas" />
		<mapping
			class="com.ajc.training.entities.Statut_Commande" />
		<mapping
			class="com.ajc.training.entities.Produit" />
		<mapping
			class="com.ajc.training.entities.Ligne_Commande" />
		<mapping
			class="com.ajc.training.entities.Commentaire" />
		<mapping
			class="com.ajc.training.entities.Commande" />
		<mapping
			class="com.ajc.training.entities.Actualites" />
	</session-factory>
</hibernate-configuration>
